Mailinglist Archive: opensuse-kde3 (27 mails)

< Previous Next >
Re: [opensuse-kde3] 13.1 - can't find kde3-k3b-codecs?
On 07/18/2014 02:56 PM, David C. Rankin wrote:
On 07/18/2014 02:41 PM, David C. Rankin wrote:
On 07/18/2014 02:09 PM, David C. Rankin wrote:
Ilya,

Opening k3b on 13.1 it complains it cannot find mad decoder. Checking, I
cannot find the kde3-k3b-codecs. Does it exits? I've got libmad0 installed, to I
have mad, but I think the codecs package is needed?


Hmm, was that package merged into kde3-k3b sometime between 11.4 and 13.1. I
don't find that package for 12.3 either...


Here is a screenshot of the error message:

http://www.3111skyline.com/dl/bugs/openSuSE/131/kde3/k3b-nomad.jpg


Could this also be a soname problem or a build switch that needs to be anabled? I have libmad:

/usr/lib64/libmad.so.0
/usr/lib64/libmad.so.0.2.1

The current related packages I have installed are:

$ rpm -qa | grep -i mad
libmad-devel-20010101-1.1.x86_64
xmms2-plugin-mad-0.8-2.65.x86_64
libmad0-0.15.1b-9.2.x86_64
madplay-0.15.2b-3.6.x86_64
libmad0-32bit-0.15.1b-1.6.x86_64

Looking at the current kde3-k3b build, you have the following present:

/opt/kde3/lib64/kde3/libk3balsaoutputplugin.la
/opt/kde3/lib64/kde3/libk3balsaoutputplugin.so
/opt/kde3/lib64/kde3/libk3baudiometainforenamerplugin.la
/opt/kde3/lib64/kde3/libk3baudiometainforenamerplugin.so
/opt/kde3/lib64/kde3/libk3baudioprojectcddbplugin.la
/opt/kde3/lib64/kde3/libk3baudioprojectcddbplugin.so
/opt/kde3/lib64/kde3/libk3bexternalencoder.la
/opt/kde3/lib64/kde3/libk3bexternalencoder.so
/opt/kde3/lib64/kde3/libk3bflacdecoder.la
/opt/kde3/lib64/kde3/libk3bflacdecoder.so
/opt/kde3/lib64/kde3/libk3blibsndfiledecoder.la
/opt/kde3/lib64/kde3/libk3blibsndfiledecoder.so
/opt/kde3/lib64/kde3/libk3bmpcdecoder.la
/opt/kde3/lib64/kde3/libk3bmpcdecoder.so
/opt/kde3/lib64/kde3/libk3boggvorbisdecoder.la
/opt/kde3/lib64/kde3/libk3boggvorbisdecoder.so
/opt/kde3/lib64/kde3/libk3boggvorbisencoder.la
/opt/kde3/lib64/kde3/libk3boggvorbisencoder.so
/opt/kde3/lib64/kde3/libk3bsoxencoder.la
/opt/kde3/lib64/kde3/libk3bsoxencoder.so
/opt/kde3/lib64/kde3/libk3bwavedecoder.la
/opt/kde3/lib64/kde3/libk3bwavedecoder.so

It looks like the kde3 version is missing:

/opt/kde3/lib64/kde3/libk3bmaddecoder.la
/opt/kde3/lib64/kde3/libk3bmaddecoder.so

Checking against the kde4 version, it ships with:

/usr/lib64/kde4/k3bmaddecoder.so



--
David C. Rankin, J.D.,P.E.
--
To unsubscribe, e-mail: opensuse-kde3+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-kde3+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups